// thuni.h - Convenient macros for referencing Thai Unicode chars
// Created: 2018-03-13
// Author: Theppitak Karoonboonyanan <theppitak@gmail.com>

#ifndef THUNI_TH
#define THUNI_TH

#define UTH_KO_KAI              0x0e01
#define UTH_KHO_KHAI            0x0e02
#define UTH_KHO_KHUAT           0x0e03
#define UTH_KHO_KHWAI           0x0e04
#define UTH_KHO_KHON            0x0e05
#define UTH_KHO_RAKHANG         0x0e06
#define UTH_NGO_NGU             0x0e07
#define UTH_CHO_CHAN            0x0e08
#define UTH_CHO_CHING           0x0e09
#define UTH_CHO_CHANG           0x0e0a
#define UTH_SO_SO               0x0e0b
#define UTH_CHO_CHOE            0x0e0c
#define UTH_YO_YING             0x0e0d
#define UTH_DO_CHADA            0x0e0e
#define UTH_TO_PATAK            0x0e0f
#define UTH_THO_THAN            0x0e10
#define UTH_THO_NANGMONTHO      0x0e11
#define UTH_THO_PHUTHAO         0x0e12
#define UTH_NO_NEN              0x0e13
#define UTH_DO_DEK              0x0e14
#define UTH_TO_TAO              0x0e15
#define UTH_THO_THUNG           0x0e16
#define UTH_THO_THAHAN          0x0e17
#define UTH_THO_THONG           0x0e18
#define UTH_NO_NU               0x0e19
#define UTH_BO_BAIMAI           0x0e1a
#define UTH_PO_PLA              0x0e1b
#define UTH_PHO_PHUNG           0x0e1c
#define UTH_FO_FA               0x0e1d
#define UTH_PHO_PHAN            0x0e1e
#define UTH_FO_FAN              0x0e1f
#define UTH_PHO_SAMPHAO         0x0e20
#define UTH_MO_MA               0x0e21
#define UTH_YO_YAK              0x0e22
#define UTH_RO_RUA              0x0e23
#define UTH_RU                  0x0e24
#define UTH_LO_LING             0x0e25
#define UTH_LU                  0x0e26
#define UTH_WO_WAEN             0x0e27
#define UTH_SO_SALA             0x0e28
#define UTH_SO_RUSI             0x0e29
#define UTH_SO_SUA              0x0e2a
#define UTH_HO_HIP              0x0e2b
#define UTH_LO_CHULA            0x0e2c
#define UTH_O_ANG               0x0e2d
#define UTH_HO_NOKHUK           0x0e2e
#define UTH_PAIYANNOI           0x0e2f
#define UTH_SARA_A              0x0e30
#define UTH_MAI_HAN_AKAT        0x0e31
#define UTH_SARA_AA             0x0e32
#define UTH_SARA_AM             0x0e33
#define UTH_SARA_I              0x0e34
#define UTH_SARA_II             0x0e35
#define UTH_SARA_UE             0x0e36
#define UTH_SARA_UEE            0x0e37
#define UTH_SARA_U              0x0e38
#define UTH_SARA_UU             0x0e39
#define UTH_PHINTHU             0x0e3a
#define UTH_YMBOL_BAHT          0x0e3f
#define UTH_SARA_E              0x0e40
#define UTH_SARA_AE             0x0e41
#define UTH_SARA_O              0x0e42
#define UTH_SARA_AI_MAIMUAN     0x0e43
#define UTH_SARA_AI_MAIMALAI    0x0e44
#define UTH_LAKKHANGYAO         0x0e45
#define UTH_MAIYAMOK            0x0e46
#define UTH_MAITAIKHU           0x0e47
#define UTH_MAI_EK              0x0e48
#define UTH_MAI_THO             0x0e49
#define UTH_MAI_TRI             0x0e4a
#define UTH_MAI_CHATTAWA        0x0e4b
#define UTH_THANTHAKHAT         0x0e4c
#define UTH_NIKHAHIT            0x0e4d
#define UTH_YAMAKKAN            0x0e4e
#define UTH_FONGMAN             0x0e4f
#define UTH_THAI_DIGIT_ZERO     0x0e50
#define UTH_THAI_DIGIT_ONE      0x0e51
#define UTH_THAI_DIGIT_TWO      0x0e52
#define UTH_THAI_DIGIT_THREE    0x0e53
#define UTH_THAI_DIGIT_FOUR     0x0e54
#define UTH_THAI_DIGIT_FIVE     0x0e55
#define UTH_THAI_DIGIT_SIX      0x0e56
#define UTH_THAI_DIGIT_SEVEN    0x0e57
#define UTH_THAI_DIGIT_EIGHT    0x0e58
#define UTH_THAI_DIGIT_NINE     0x0e59
#define UTH_ANGKHANKHU          0x0e5a
#define UTH_KHOMUT              0x0e5b

#endif // THUNI_TH

/*
vi:ts=4:ai:expandtab
*/
